Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc
Class Package

    java.lang.Object
      org.apache.poi.openxml4j.opc.OPCPackage
          org.apache.poi.openxml4j.opc.Package

All Implemented Interfaces:
  RelationshipSource

Direct Known Subclasses:
  ZipPackage

Deprecated. (name clash with `Package` use `OPCPackage` instead.

    @Deprecated
    public abstract class Package

extends OPCPackage

Author:
  Julien Chable, CDubet

Field Summary

Fields inherited from class org.apache.poi.openxml4j.opc.OPCPackage
`contentTypeManager, defaultPackageAccess, defaultPartMarshaller, isDirty, originalPackagePath, output, packageProperties, partList, partMarshallers, partUnmarshallers, relationships`

Constructor Summary
`protected` | `Package(PackageAccess access)` Deprecated. use `OPCPackage`

Method Summary
`static Package` | `create(java.io.File file)` Deprecated. use `OPCPackage.create(File)`
`static Package` | `create(java.io.OutputStream output)` Deprecated. use `OPCPackage.create(OutputStream)`
`static Package` | `create(java.lang.String path)` Deprecated. use `OPCPackage.create(String)`
`static Package` | `open(java.io.InputStream in)` Deprecated. use `OPCPackage.open(InputStream)`
`static Package` | `open(java.lang.String path)` Deprecated. use `OPCPackage.open(String)`
`static Package` | `open(java.lang.String path, PackageAccess access)` Deprecated. use `OPCPackage.open(String,PackageAccess)`
`static Package` | `openOrCreate(java.io.File file)` Deprecated. use `OPCPackage.openOrCreate(java.io.File)`

Methods inherited from class org.apache.poi.openxml4j.opc.OPCPackage
`addExternalRelationship, addExternalRelationship, addMarshaller, addPackagePart, addRelationship, addRelationship, addThumbnail, addUnmarshaller, clearRelationships, close, closeImpl, containPart, createPart, createPart, createPartImpl, deletePart, deletePartRecursive, ensureRelationships, flush, flushImpl, getPackageAccess, getPackageProperties, getPart, getPart, getPartImpl, getParts, getPartsByContentType, getPartsByRelationshipType, getPartsImpl, getRelationship, getRelationships, getRelationshipsByType, hasRelationships, isRelationshipExists, removeMarshaller, removePart, removePart, removePartImpl, removePartRecursive, removeRelationship, removeUnmarshaller, revert, revertImpl, save, save, saveImpl, validatePackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Package

    @Deprecated
    protected Package(PackageAccess access)

  Deprecated. use `OPCPackage`

Method Detail

### open

    @Deprecated
    public static Package open(java.lang.String path)
                        throws InvalidFormatException

  Deprecated. use `OPCPackage.open(String)`

  Throws:
    `InvalidFormatException`

### open

    @Deprecated
    public static Package open(java.lang.String path,
                                          PackageAccess access)
                        throws InvalidFormatException

  Deprecated. use `OPCPackage.open(String,PackageAccess)`

  Throws:
    `InvalidFormatException`

### open

    @Deprecated
    public static Package open(java.io.InputStream in)
                        throws InvalidFormatException,
                               java.io.IOException

  Deprecated. use `OPCPackage.open(InputStream)`

  Throws:
    `InvalidFormatException`
    `java.io.IOException`

### openOrCreate

    @Deprecated
    public static Package openOrCreate(java.io.File file)
                                throws InvalidFormatException

  Deprecated. use `OPCPackage.openOrCreate(java.io.File)`

  Throws:
    `InvalidFormatException`

### create

    @Deprecated
    public static Package create(java.lang.String path)

  Deprecated. use `OPCPackage.create(String)`

### create

    @Deprecated
    public static Package create(java.io.File file)

  Deprecated. use `OPCPackage.create(File)`

### create

    @Deprecated
    public static Package create(java.io.OutputStream output)

  Deprecated. use `OPCPackage.create(OutputStream)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.